package com.jg.config;

/**
 * 开启WebSocket支持
 * @author zyl
 * @version 1.0
 * @date 2023/7/12 9:00
 */

import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.server.standard.ServerEndpointExporter;

@Configuration
public class WebSocketConfig {

    @Bean
    public ServerEndpointExporter serverEndpointExporter() {
        return new ServerEndpointExporter(); // 自动注册 @ServerEndpoint 注解的 WebSocket 端点
    }
}