package com.jg.controller;

import com.jg.service.ModBusService;
import com.jg.common.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(tags = "采集标签控制器")
@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class ModbusController {
    @Autowired
    private ModBusService modBusService;

    @GetMapping("/all")
    @ApiOperation("查询所有采集标签")
    public Result<Object> all() {
        modBusService.startCollect();
        return Result.ok();
    }
}
